<?php
/**
 *
 * @author TopCMM daniel@topcmm.com
 * @copyright (c) 2010 TopCMM
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 *
 */

/**
 * @ignore
 */
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/functions_fchat.' . $phpEx);

$user->session_begin();
$auth->acl($user->data);
$user->setup();

header('Content-Type: text/javascript; charset=utf8');
if (isset($_GET['t']))
{
	ini_set("default_socket_timeout",15);
	switch(request_var('t',''))
	{
		case 'status':
			$fc_status = fc_get_status();
			$fc_status_str = sprintf($user->lang['FC_LOGIN_USERS'], $fc_status['ln']);
			if (array_key_exists('rn', $fc_status))
			{
				$fc_status_str = sprintf($user->lang['FC_TOTAL_ROOMS'], $fc_status['rn']) . " &bull; " . sprintf($user->lang['FC_TOTAL_CONNECTIONS'], $fc_status['cn']) . " &bull; " . $fc_status_str;
			}
			echo "document.write(\"" . $fc_status_str . "\");";
			break;
		case 'room_list':
			$fc_rooms = fc_get_room_list();
			if(is_array($fc_rooms))
			{
				foreach ($fc_rooms as $fc_room)
				{
					$fc_client_url = append_sid("{$phpbb_root_path}123flashchat.$phpEx", 'room=' . $fc_room['id']);
					$fc_room_list .= (($fc_room_list != '') ? ', ' : '') . ($config['fc_client_embed'] ? '<a href="'. $fc_client_url . '">' : '<a href="http://www.123flashchat.com/" onclick="openChat(' . "'" . $fc_client_url . "'" . ');return false;" >') . $fc_room['name'] . "</a>(" . $fc_room['count'] . ")";
				}
			}
			echo "document.write(\"" . str_replace('"','\"',($fc_room_list ? $fc_room_list : $user->lang['FC_NONE'])) . "\");";
			break;
		case 'user_list':
			$fc_users = fc_get_user_list();
			
			if(is_array($fc_users))
			{
				foreach ($fc_users as $fc_user)
				{
					$fc_user_list .= (($fc_user_list != '') ? ', ' : '') . str_replace('"','\"',$fc_user['name']);
				}
			}
			echo "document.write(\"" . (!empty($fc_user_list) ? $fc_user_list : $user->lang['FC_NONE']) . "\");";
			break;
	}
}

exit_handler();
?>
