<?php
/**
 *
 * @author TopCMM daniel@topcmm.com
 * @copyright (c) 2010 TopCMM
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 *
 */

if (!defined('IN_PHPBB'))
{
	exit;
}

include($phpbb_root_path . 'includes/functions_requestRemote.' . $phpEx);
/**
 * @package acp
 */
class acp_fchat
{
	var $u_action;
	/**
	 * Constructor
	 */
	function main($id, $mode)
	{
		global $config, $db, $user, $auth, $template;
		global $phpbb_root_path, $phpEx;

		$this->tpl_name 	= 'acp_fchat';
		$this->page_title 	= $user->lang(FC_TITLE);

		switch ($mode)
		{
			case 'config':
				$this->configuration();
				break;
			case 'moreconfig':
				$pwd = microtime(TRUE) * 10000;
				$sql = 'INSERT INTO ' . FCHAT_TABLE . ' VALUES(null, ' . $db->sql_escape($user->data['user_id']) . ',' . $pwd . ')';
				$db->sql_query($sql);
				$template->assign_vars(array(
                        'S_FC_ADMIN'            => true,
                        'S_FC_SERVER'           => $config['fc_server'],
                        'U_FC_ADMIN'            => $config['fc_client_loc'] . 'admin_123flashchat.swf?init_host='.$config['fc_server_host'].'&init_port='.$config['fc_server_port']."&init_user=".rawurlencode($user->data['username'])."&init_password=".$pwd . (($config['fc_server'] == 1) ? "&init_group=" . $config['fc_group'] : ''),
                        'U_ACTION'				=> $this->u_action,
				));
				break;
		}
		add_form_key('acp_fchat');
	}

	/**
	 * 123 Flash Chat  Config
	 */
	function configuration()
	{
		$requestRemote = new topcmmRequestRemote();
		$error = array();
		if(!$requestRemote->checkConfig())
		{
			$error[] = "FC_CONFIGURATION_ERROR";
		}

		ini_set("default_socket_timeout",3);
		global $cache, $config, $db, $user, $auth, $template;
		global $phpbb_root_path, $phpEx;

		$defaultHost = "127.0.0.1";
		$defaultServerPort = "51127";
		$defaultPort = "35555";
		$fc_row = array();
		//default configuration port value is 51127 and 35555
		$fc_row['local_client_loc'] = request_var('s_local_client_location', '');

		if(!empty($fc_row['local_client_loc']))
		{
			$fc_row['local_client_loc'] = $this->addSlash($fc_row['local_client_loc']);
			$c_own_loc = $this->validate_client($fc_row['local_client_loc']);
		}
		else
		{
			$c_own_loc = $this->validate_client('http://'.$defaultHost.':'.$defaultPort.'/');
		}

		$c_loc = $c_own_loc;
		$submit = (isset($_POST['submit'])) ? true : false;
		// when submitted
		if ($submit)
		{
			$fc_row['server'] = request_var('server', 2);
			switch ($fc_row['server'])
			{
				case 0:
					$fc_row['server_host'] = $config['server_name'];
					$fc_row['server_port'] = $defaultServerPort;
					$fc_row['http_port'] = $defaultPort;
					$fc_row['api_url'] = 'http://' . $config['server_name'] . ':' . $fc_row['http_port'] . '/';
					$fc_row['client_loc'] = 'http://' . $config['server_name'] . ':' . $fc_row['http_port'] . '/';
					$fc_row['local_client_loc'] == "";
					if ($c_loc)
					{

						$fc_row['server_host'] = request_var('s_host', $defaultHost);
						$fc_row['server_port'] = request_var('s_port', $defaultServerPort);
						$fc_row['http_port'] = request_var('s_http_port', $defaultPort);

						$fc_row['api_url'] = 'http://' . $fc_row['server_host'] . ':' . $fc_row['http_port'] . '/';
						$fc_row['client_loc'] = $fc_row['api_url'];

						if(!empty($fc_row['local_client_loc']))
						{
							$c_own_loc = $this -> validate_client($fc_row['local_client_loc']);
						}
						else
						{
							$c_own_loc = $this -> validate_client($fc_row['client_loc']);
						}

						$da = $this -> validate_data_api($fc_row['api_url'] . 'online.js');

						if ($da || $c_own_loc)
						{
							$error[] = 'FC_HTTP_ERROR';
						}
					}
					$fc_row['client'] = request_var('client', 0);
					if (!$fc_row['client'])
					{
						$fc_row['client_skin'] = request_var('c_skin', '');
					}
					break;
				case 1:
					$fc_row['client_loc'] = request_var('c_location', '') . (substr(request_var('c_location', ''),-1,1) != '/' ? '/' : '');

					$urlinfo = parse_url($fc_row['client_loc']);
					$fc_row['server_host'] = $urlinfo['host'];
					if ($content = $requestRemote->requestRemote($fc_row['client_loc']))
					{
						preg_match('/init_port=([0-9]*)/', $content, $matches);
						$fc_row['server_port'] = $matches[1];
					}
					$fc_row['api_url'] = 'http://' . $fc_row['server_host'] . '/';
					$fc_row['group'] = substr($urlinfo['path'],1,-1);

					$c_own_loc = $this -> validate_client($fc_row['client_loc']);
					$da = $this -> validate_data_api($fc_row['api_url'] . 'online.js?group=' . $fc_row['group']);
					if ($c_own_loc or $da)
					{
						$error[] = 'FC_CLIENT_LOC_ERROR';
					}
					$fc_row['client'] = request_var('client', 0);
					if (!$fc_row['client'])
					{
						$fc_row['client_skin'] = request_var('c_skin', '');
					}
					break;
				case 2:
					$room = request_var('room','');
					$fc_row['room'] = !empty($room) ? $room : $config['server_name'];
					$fc_row['client'] = 0;
					$fc_row['client_skin'] = request_var('c_skin', '');
					$fc_array['room'] = array('string', false, 1, 50);
					break;
			}
			if ($fc_row['status'] = request_var('status', 0))
			{
				$fc_row['room_list'] = request_var('room_list', 0);
				$fc_row['user_list'] = request_var('user_list', 0);
			}

			$fc_row['client_embed'] = request_var('c_embed', 0);

			if (request_var('c_full', 0))
			{
				$fc_row['client_width'] = '100%';
				$fc_row['client_height'] = '100%';
			}
			else
			{
				$width = request_var('c_width', 0);
				$height = request_var('c_height', 0);
				$fc_row['client_width'] = !empty($width) ? $width : 800;
				$fc_row['client_height'] = !empty($height) ? $height : 600;
				$fc_array['client_width'] = array('num', false, 0, 2000);
				$fc_array['client_height'] = array('num', false, 0, 2000);
			}
			$fc_row['client_lang'] = request_var('c_lang', '');
			//wo jia de
			$fc_row['show_live'] = request_var('show_live', 1);
			$own_width = request_var('own_width', 0);
			$own_height = request_var('own_height',0);
			$fc_row['own_width'] = !empty($own_width)? $own_width : 700;
			$fc_row['own_height'] = !empty($own_height)? $own_height : 528;
			$fc_row['sty'] = request_var('sty', '');
			$fc_row['liveurl'] = request_var('liveurl', '');
			$fc_row['liveroom'] = request_var('liveroom', 1);
			if (!function_exists('validate_data'))
			{
				include($phpbb_root_path . 'includes/functions_user.' . $phpEx);
			}
			if ($fc_array)
			{
				$error = array_merge($error,validate_data($fc_row, $fc_array));
			}
			if (!check_form_key('acp_fchat'))
			{
				$error[] = 'FORM_INVALID';
			}
			if (!sizeof($error))
			{
				foreach ($fc_row as $config_name => $config_value)
				{
					set_config('fc_' . $config_name, $config_value);
				}

				add_log('admin','FC_CONFIG_UPDATE');

				trigger_error($user->lang['FC_CONFIG_SAVED'] . adm_back_link($this->u_action));
			}
			// Replace "error" strings with their real, localised form
			$error = preg_replace('#^([A-Z_]+)$#e', "(!empty(\$user->lang['\\1'])) ? \$user->lang['\\1'] : '\\1'", $error);
		}
		// 123 Flash Chat Server Download OS(win/darwin/linux) detected
		$fc_download_url = 'http://www.123flashchat.com/download-now.html?p=123flashchat.' . ((PATH_SEPARATOR==':') ? (stristr(PHP_OS, 'darwin') ?  'dmg' : 'sh') : 'exe');
		$template->assign_vars(array(
			'S_FC_CONFIG'           => true,
            'S_FC_SERVER'           => request_var("server", 0) ? $fc_row['server'] : $config['fc_server'],
            'FC_SERVER_HOST'        => isset($_POST['s_host']) ? $fc_row['server_host'] : $config['fc_server_host'],
            'FC_SERVER_PORT'        => isset($_POST['s_port']) ? $fc_row['server_port'] : $config['fc_server_port'],
            'FC_HTTP_PORT'          => isset($_POST['s_http_port']) ? $fc_row['http_port'] : $config['fc_http_port'],
            'FC_LOCAL_CLIENT_LOCATION'    => isset($_POST['s_local_client_location']) ? $fc_row['fc_local_client_loc'] : $config['fc_local_client_loc'],
            'FC_DOWNLOAD_URL'       => $fc_download_url,
            'S_FC_CLIENT_OWN_LOCATION'    => $c_loc,
            'FC_CLIENT_LOCATION'    => isset($_POST['c_location']) ? $fc_row['client_loc'] : $config['fc_client_loc'],
            'FC_ROOM'               => isset($_POST['room']) ? $fc_row['room'] : $config['fc_room'],
            'U_FC_LOGIN_CHAT'       => 'http://' . $config['server_name'] . (($config['script_path'] == '/') ? '' : $config['script_path']) . '/login_chat.php?username=%username%&password=%password%',
            'S_FC_STATUS'           => isset($_POST['status']) ? $fc_row['status'] : $config['fc_status'],
            'S_FC_ROOM_LIST'        => isset($_POST['room_list']) ? $fc_row['room_list'] : $config['fc_room_list'],
            'S_FC_USER_LIST'        => isset($_POST['user_list']) ? $fc_row['user_list'] : $config['fc_user_list'],
            'S_FC_CLIENT'           => isset($_POST['client']) ? $fc_row['client'] : $config['fc_client'],
						'S_FC_EMBED'    	    => isset($_POST['c_embed']) ? $fc_row['client_embed'] : $config['fc_client_embed'],
						'S_FC_FULL'    	        => isset($_POST['c_full']) ? request_var('c_full', 0) : (($config['fc_client_height'] == '100%') ? 1 : 0),
						'FC_CLIENT_HEIGHT'    	=> isset($_POST['c_height']) ? (($fc_row['client_height'] != '100%') ? $fc_row['client_height'] : '') : (($config['fc_client_height'] != '100%') ? $config['fc_client_height'] : ''),
						'FC_CLIENT_WIDTH'    	=> isset($_POST['c_width']) ? (($fc_row['client_width'] != '100%') ? $fc_row['client_width'] : '') : (($config['fc_client_width'] != '100%') ? $config['fc_client_width'] : ''),
						'FC_CLIENT_SKIN'     	=> $fc_row['client_skin'] ? $fc_row['client_skin'] : $config['fc_client_skin'],
						'FC_CLIENT_LANG'     	=> isset($_POST['c_lang']) ? $fc_row['client_lang'] : $config['fc_client_lang'],
						'FC_SHOW_LIVE'			=> isset($_POST['show_live']) ? $fc_row['show_live'] : $config['fc_show_live'],
						'FC_LIVE_W'				=> isset($_POST['own_width']) ? $fc_row['own_width'] : $config['fc_own_width'],
						'FC_LIVE_H'				=> isset($_POST['own_height']) ? $fc_row['own_height'] : $config['fc_own_height'],
						'FC_STY'				=> isset($_POST['sty']) ? $fc_row['sty'] : $config['fc_sty'],
						'FC_LIVEURL'			=> isset($_POST['liveurl']) ? $fc_row['liveurl'] : $config['fc_liveurl'],
						'FC_LIVEROOM'			=> isset($_POST['liveroom']) ? $fc_row['liveroom'] : $config['fc_liveroom'],
						'FC_ERROR'				=> isset($error) ? ((sizeof($error)) ? implode('<br />', $error) : '') : '',
						'U_ACTION'				=> $this->u_action
		));
	}


	/**
	 * Check 123 FlashChat Data api
	 * @parm $data_api   Chat Data Api
	 * @return integer config status
	 */
	function validate_data_api($data_api)
	{
		$requestRemote = new topcmmRequestRemote;
		$da = 1;

		if($requestRemote->requestRemote($data_api))
		{
			$da = 0;
		}
		return $da;
	}

	/**
	 * Check 123 FlashChat Client Location
	 * @parm $client_loc   Chat Client Location
	 * @return integer config status
	 */
	function validate_client($client_loc)
	{
		$requestRemote = new topcmmRequestRemote();
		$c_own_loc = 1;
		$swf = $client_loc . '123flashchat.swf';

		if($headers = $requestRemote->requestRemote($swf, 0));
		{
			$c_own_loc = (substr($headers, 9, 3) == '200') ? 0 : 1;
		}

		return $c_own_loc;
	}


	function addSlash($path)
	{
		if(substr($path,-1,1) != "/" && !empty($path))
		{
			$path = $path."/";
		}
		return $path;
	}
}
?>
