<?php

if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

$lang = array_merge($lang, array(
	'FC_TITLE'				=> '123 Flash Chat',
	'FC_ACP'					=> '123 Flash Chat Setting',
	'FC_ACP_EXPLAIN'			=> 'Chat Configurations',
	'FC_ADMIN'			        => 'Chat Admin Panel',
	'FC_ADMIN_EXPLAIN'		    => 'More Chat Configurations',
	'FC_ADMIN_FREE'		        => 'Sorry! Admin Panel is not available in the Free Chat Hosting Edition. 123FlashChat Full Version starts at $19. <br />Click the link below to have a live Admin Panel Demo for testing.',
    'ACP_CAT_FC'                => '123 Flash Chat',
    'ACP_FC'                    => '123 Flash Chat',
   	'ACP_FC_CONFIG'				=> 'Chat Settings',
	'ACP_FC_MORECONFIG'			=> 'Chat Admin Panel',
	'FC_LIVE_DEMO'              => 'Live Demo',

	'FC_BASIC'  		    	=> 'Basic Settings',
	'FC_SERVER'     			=> 'Chat Server Mode',
	'FC_SERVER_EXPLAIN'         => '3 options for you to choose.',
	'FC_SERVER_OWN' 			=> 'Chat server hosted by your own',
	'FC_SERVER_OWN_EXPLAIN' 	=> 'Note*: Please install 123FlashChat Server first before enable this Mod.',
	'FC_FREE_DOWNLOAD'          => 'Free Download',
	'FC_SERVER_FC'  			=> 'Chat server hosted by 123FlashChat',
	'FC_SERVER_FC_EXPLAIN' 	    => '123FlashChat Hosting Service start at $30.',
	'FC_BUY_NOW'                => 'Buy Now',
	'FC_CLIENT_LOCATION'		=> 'Chat Client Location',
	'FC_CLIENT_LOCATION_FC_EXPLAIN'    => 'e.g. http://host123.123flashchat.com/group_name/',
	'FC_SERVER_FREE'			=> 'Chat server hosted by 123FlashChat free of charge',
    'FC_ROOM'   				=> 'Chat Room Name',
    'FC_ROOM_EXPLAIN'   		=> 'If you leave it blank, the room name will be your domain name as default',
	'FC_AUTH_URL_EXPLAIN' 	    => 'To integrate users for auto-login to chat, please open the Chat Admin Panel (you can find shortcut at left side), then System Settings > Integration Panel, set authentication URL to:  ',
	'FC_STATUS'     		    => 'Show Chat Status',
	'FC_STATUS_EXPLAIN'     	=> 'Show "CHAT ROOM" block below "WHO IS ONLINE" in index page to display the statistics of Total rooms, Total connections and Login users',
	'FC_ROOM_LIST'		        => 'Show Room List',
	'FC_ROOM_LIST_EXPLAIN'		=> 'Show chat room list with the dynamic statistics of online users in every room',
	'FC_USER_LIST'		        => 'Show User List',
	'FC_USER_LIST_EXPLAIN'		=> 'List all online users',

	'FC_ADVANCED'   			=> 'Advanced Settings',
	'FC_SERVER_HOST' 			=> 'Chat Server Host',
	'FC_SERVER_PORT' 			=> 'Chat Server Port',
	'FC_HTTP_PORT' 			    => 'Chat Server HTTP Port',
	'FC_LOCAL_CLIENT_LOCATION' => 'Chat Client Location',
	'FC_LOCAL_CLIENT_LOCATION_EXPLAIN' => 'Choose a Client Location, default location is http://127.0.0.1:35555/',

	'FC_HTTP_PORT_EXPLAIN' 		=> 'This is not your default HTTP server port. The default value is 35555',
	'FC_CLIENT'     			=> 'Client Mode',
	'FC_CLIENT_EXPLAIN'         => 'Choose a chat client according to your need',
	'FC_CLIENT_FLASH'	    	=> 'Flash Chat Client',
	'FC_CLIENT_HTML'	    	=> 'HTML/ Ajax Chat Client',
	'FC_CLIENT_AVATAR'	    	=> 'Avatar Chat Client',
	'FC_CLIENT_IG'  			=> 'Present Mode',
	'FC_CLIENT_IG_EXPLAIN'  	=> 'You can set the chat client presents in embedded mode or pop-up mode',
	'FC_CLIENT_EMBED'	    	=> 'Embedded',
	'FC_CLIENT_POPUP'	    	=> 'Pop-up',
	'FC_CLIENT_SIZE'	    	=> 'Chat Client Size',
	'FC_CLIENT_H'    	    	=> 'Height',
	'FC_CLIENT_W'    	    	=> 'Width',
	'FC_CLIENT_LANG'	    	=> 'Choose Language',
	'FC_LANG_AUTO'	    	    => 'Auto detect',
	'FC_LANG_EN'	    	    => 'English',
	'FC_LANG_SC'	    	    => 'GB Chinese',
	'FC_LANG_TC'	    	    => 'Big5 Chinese',
	'FC_LANG_FR'	    	    => 'French',
	'FC_LANG_IT'	    	    => 'Italian',
	'FC_LANG_DE'	    	    => 'German',
	'FC_LANG_NL'	    	    => 'Dutch',
	'FC_LANG_HU'	    	    => 'Hungarian',
	'FC_LANG_ES'	    	    => 'Spanish',
	'FC_LANG_HR'	    	    => 'Croatian',
	'FC_LANG_TR'	    	    => 'Turkish',
	'FC_LANG_AR'	    	    => 'Arabic',
	'FC_LANG_PT'	    	    => 'Portuguese',
	'FC_LANG_RU'	    	    => 'Russian',
	'FC_LANG_KO'	    	    => 'Korean',
	'FC_LANG_SERBIAN'	    	=> 'Serbian',
	'FC_LANG_NO'	    	    => 'Norwegian',
	'FC_LANG_JA'	    	    => 'Japanese',
	'FC_CLIENT_SKIN'	    	=> 'Choose Skin',
  	'FC_SKIN_BLUE'              => 'Default',
  	'FC_SKIN_RED'               => 'Red',
   	'FC_SKIN_BLACK'             => 'Black',
    'FC_SKIN_GREEN'             => 'Green',
    'FC_SKIN_STANDARD'          => 'Standard',
    'FC_SKIN_BEIGE'             => 'Beige',
    'FC_SKIN_ORANGE'            => 'Orange',
    'FC_SKIN_CLEAN'             => 'Clean',
    'FC_SKIN_ARTISTIC'          => 'Artistic',
    'FC_POST_NOTIFIER'          => '123 Flash Chat Post Notifier Module',
    'FC_POST_NOTIFIER_EXPLAIN'  => 'It\'s another module which immigrates phpBB posts to 123 Flash Chat rooms. After module installed successfully, every new post or new reply on phpBB will automatically generate a message alert in the particular chat room with the post details.',

    'FC_CONFIG_UPDATE'          => '123FlashChat Configuration Updated',
    'FC_CONFIG_SAVED'           => 'Your 123FlashChat Configuration has been Saved',

    'FC_SHOW_LIVE_SET'          => 'Show Live Setting',
    'FC_SHOW_LIVE'				=> 'Show Live Show Chat',
    'FC_LIVE_W'					=> 'Width',
    'FC_LIVE_H'					=> 'Height',
    'FC_LIVE_SIZE'				=> 'Live Show chat Size',
    'FC_LIVE_SKIN'				=> 'Live Show Chat Skin',
    'FC_LIVE_URL'				=> 'Live Show URL',
    'FC_LIVE_ROOM'				=> 'Live Show URL',
    'STY_DEFAULT'				=> 'default',
    'STY_ORKUT'					=> 'orkut',
    'STY_BUBBLE'				=> 'bubble',
    'STY_POINT_RECT'			=> 'point_rect',
	'STY_POINT_LINE'			=> 'point_line',
	'STY_GRADIENT_RECT'			=> 'gradient_rect',
	'STY_SERENE'				=> 'serene',
	'ROOM_DEFAULT'				=> 'Default Room',
	'ROOM_MUL'					=> 'Multimedia Room',
	'ROOM_VEDIO'				=> 'Vedio/Audio Chat Room',
	'ROOM_MODULE'				=> 'Moderated-chat Module Test',
	'ROOM_EVENT'				=> 'Event Chat Module Test',
	'ROOM_CAFE'					=> 'Cafe(avatar chat demo)',
	'ROOM_GAME'					=> 'Game room(avatar chat demo)',
	'ROOM_HETEL'				=> 'Hetel(avatar chat demo)',
	'ROOM_PARK'					=> 'Park(avatar chat demo)',
	'ROOM_REST'					=> 'Restaurant(avatar chat demo)',
	'LIVE_SHOW'					=> 'Live Show',


// error reporting
  'FC_SERVER_ERROR'           => 'Chat Server host or port is configured incorrectly',
  'FC_HTTP_ERROR'             => 'Chat Server host or http_port is configured incorrectly',
  'FC_CLIENT_LOC_ERROR'       => 'Client Location is configured incorrectly',
  'FC_CONFIGURATION_ERROR' => 'Please contact your ISP to enable \'CURL\' or \'allow_url_fopen\' on this server',
	'TOO_LONG_ROOM'		        => 'The room name is too long.',
	'TOO_SHORT_ROOM'		    => 'The room name is too short.',
	'TOO_SMALL_SERVER_PORT'	    => 'The server port value is too small.',
	'TOO_LARGE_SERVER_PORT'	    => 'The server port value is too large.',
	'TOO_SMALL_CLIENT_WIDTH'	=> 'The client width value is too small.',
	'TOO_LARGE_CLIENT_WIDTH'	=> 'The client width value is too large.',
	'TOO_SMALL_CLIENT_HEIGHT'	=> 'The client height value is too small.',
	'TOO_LARGE_CLIENT_HEIGHT'	=> 'The client height value is too large.',
));
?>
